
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Services.Interfaces
{
    public interface IUserTaskService : IService<UserTask, UserTaskDto, UserTaskDto>
    {
        Task<UserTaskDto> GetByUserId(string userId);
        Task ChangeStatus(long taskId, int statusId);
        Task<PagingResultDto<UserTaskAllDto>> GetAll(UserTaskPagingInputDto PagingInputDto);

    }
}
